Package weka.gui.knowledgeflow

# Class TemplateManager

java.lang.Object
weka.gui.knowledgeflow.TemplateManager

public class TemplateManager extends Object
Manages all things template-related

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getBuiltinTemplateDescriptions()`
  Get descriptions for the built-in knowledge flow templates
  `Flow`
  `getBuiltinTemplateFlow(String flowDescription)`
  Get the built-in template flow corresponding to the description
  `List<String>`
  `getPluginTemplateDescriptions()`
  Get descriptions for plugin knowledge flow templates
  `Flow`
  `getPluginTemplateFlow(String flowDescription)`
  Get the plugin template flow corresponding to the description
  `Flow`
  `getTemplateFlow(String flowDescription)`
  Get the flow for the supplied description
  `int`
  `numBuiltinTemplates()`
  Get the number of builtin KF templates available
  `int`
  `numPluginTemplates()`
  Get the number of plugin KF templates available
  `int`
  `numTemplates()`
  Get the total number of KF templates available

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateManager

    public TemplateManager()

- ## Method Details

  - ### numTemplates

    public int numTemplates()
    Get the total number of KF templates available
    Returns:
      the total number (both builtin and plugin) KF templates available

  - ### numBuiltinTemplates

    public int numBuiltinTemplates()
    Get the number of builtin KF templates available
    Returns:
      the number of builtin KF templates available

  - ### numPluginTemplates

    public int numPluginTemplates()
    Get the number of plugin KF templates available
    Returns:
      the number of plugin KF templates available

  - ### getBuiltinTemplateDescriptions

    public List<String> getBuiltinTemplateDescriptions()
    Get descriptions for the built-in knowledge flow templates
    Returns:
      descriptions for the built-in templates

  - ### getPluginTemplateDescriptions

    public List<String> getPluginTemplateDescriptions()
    Get descriptions for plugin knowledge flow templates
    Returns:
      descriptions for plugin templates

  - ### getTemplateFlow

    public Flow getTemplateFlow(String flowDescription) throws WekaException
    Get the flow for the supplied description
    Parameters:
      `flowDescription` - the description of the template flow to get
    Returns:
      the template flow
    Throws:
      `WekaException` - if the template does not exist

  - ### getBuiltinTemplateFlow

    public Flow getBuiltinTemplateFlow(String flowDescription) throws IOException, WekaException
    Get the built-in template flow corresponding to the description
    Parameters:
      `flowDescription` - the description of the template flow to get
    Returns:
      the flow
    Throws:
      `IOException` - if an IO error occurs
      `WekaException` - if a problem occurs

  - ### getPluginTemplateFlow

    public Flow getPluginTemplateFlow(String flowDescription) throws IOException, WekaException
    Get the plugin template flow corresponding to the description
    Parameters:
      `flowDescription` - the description of the template flow to get
    Returns:
      the flow
    Throws:
      `IOException` - if an IO error occurs
      `WekaException` - if a problem occurs